@import url("https://fonts.googleapis.com/css?family=Nunito:900|Quicksand");

body {
  background-color: #282c34;
  color: white;
  font-family: "Quicksand", sans-serif;
}

.App {
  min-height: 76vh;
  display: flex;
  flex-direction: column;
  text-align: center;
  align-items: center;
  justify-content: center;
}

.App-header {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  font-family: "Nunito", sans-serif;
  font-weight: 900;
}

.App-link {
  color: #61dafb;
}

.App-footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 1vmin);
}

.board {
  display: flex;
  flex-direction: column;
  border: 5px solid steelblue;
}

.row {
  display: flex;
}

.pawn {
  position: relative;
  cursor: pointer;
  z-index: 1;
}

.redcolor {
  color: red;
}

.yellowcolor {
  color: yellow;
}

.circle {
  width: 50px;
  height: 50px;
  border-radius: 50%;
}

.cage {
  position: absolute;
  width: 50px;
  height: 50px;
  z-index: 2;
  background: radial-gradient(circle at center, transparent 63%, steelblue 63%);
  pointer-events: none;
}

.redbg,
.yellowbg {
  animation: drop 0.5s ease-in both;
}

.redbg {
  background: red !important;
}

.yellowbg {
  background: yellow !important;
}

button {
  background-color: steelblue;
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  border-radius: 12px;
  cursor: pointer;
  opacity: 0;
}

.placeholder {
  opacity: 0;
  pointer-events: none;
}

.active {
  animation: appear 1s both;
}
